#
# spec file for package perl-Font-TTF
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Font-TTF
Name:           perl-Font-TTF
Version:        1.60.0
Release:        1.2
# 1.06 -> normalize -> 1.60.0
%define cpan_version 1.06
#Upstream: Artistic-2.0
License:        Artistic-2.0 AND OFL-1.1
Summary:        TTF font support for Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BH/BHALLISSY/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String)
Requires:       perl(IO::String)
Provides:       perl(Font::TTF) = %{version}
Provides:       perl(Font::TTF::AATKern)
Provides:       perl(Font::TTF::AATutils)
Provides:       perl(Font::TTF::Anchor)
Provides:       perl(Font::TTF::Bsln)
Provides:       perl(Font::TTF::Cmap)
Provides:       perl(Font::TTF::Coverage)
Provides:       perl(Font::TTF::Cvt_) = 0.0.100
Provides:       perl(Font::TTF::DSIG)
Provides:       perl(Font::TTF::Delta)
Provides:       perl(Font::TTF::Dumper)
Provides:       perl(Font::TTF::EBDT)
Provides:       perl(Font::TTF::EBLC)
Provides:       perl(Font::TTF::Fdsc)
Provides:       perl(Font::TTF::Feat)
Provides:       perl(Font::TTF::Features::Cvar)
Provides:       perl(Font::TTF::Features::Size)
Provides:       perl(Font::TTF::Features::Sset)
Provides:       perl(Font::TTF::Fmtx)
Provides:       perl(Font::TTF::Font) = 0.390.0
Provides:       perl(Font::TTF::Fpgm) = 0.0.100
Provides:       perl(Font::TTF::GDEF)
Provides:       perl(Font::TTF::GPOS)
Provides:       perl(Font::TTF::GSUB)
Provides:       perl(Font::TTF::Glat)
Provides:       perl(Font::TTF::Gloc)
Provides:       perl(Font::TTF::Glyf)
Provides:       perl(Font::TTF::Glyph)
Provides:       perl(Font::TTF::GrFeat)
Provides:       perl(Font::TTF::Hdmx)
Provides:       perl(Font::TTF::Head)
Provides:       perl(Font::TTF::Hhea)
Provides:       perl(Font::TTF::Hmtx)
Provides:       perl(Font::TTF::Kern)
Provides:       perl(Font::TTF::Kern::ClassArray)
Provides:       perl(Font::TTF::Kern::CompactClassArray)
Provides:       perl(Font::TTF::Kern::OrderedList)
Provides:       perl(Font::TTF::Kern::StateTable)
Provides:       perl(Font::TTF::Kern::Subtable)
Provides:       perl(Font::TTF::LTSH)
Provides:       perl(Font::TTF::Loca)
Provides:       perl(Font::TTF::Maxp)
Provides:       perl(Font::TTF::Mort)
Provides:       perl(Font::TTF::Mort::Chain)
Provides:       perl(Font::TTF::Mort::Contextual)
Provides:       perl(Font::TTF::Mort::Insertion)
Provides:       perl(Font::TTF::Mort::Ligature)
Provides:       perl(Font::TTF::Mort::Noncontextual)
Provides:       perl(Font::TTF::Mort::Rearrangement)
Provides:       perl(Font::TTF::Mort::Subtable)
Provides:       perl(Font::TTF::Name) = 1.100.0
Provides:       perl(Font::TTF::OS_2)
Provides:       perl(Font::TTF::OTTags)
Provides:       perl(Font::TTF::OldCmap)
Provides:       perl(Font::TTF::OldMort)
Provides:       perl(Font::TTF::PCLT)
Provides:       perl(Font::TTF::PSNames)
Provides:       perl(Font::TTF::Post) = 0.10.0
Provides:       perl(Font::TTF::Prep) = 0.0.100
Provides:       perl(Font::TTF::Prop)
Provides:       perl(Font::TTF::Segarr) = 0.0.100
Provides:       perl(Font::TTF::Silf)
Provides:       perl(Font::TTF::Sill)
Provides:       perl(Font::TTF::Table) = 0.0.100
Provides:       perl(Font::TTF::Ttc) = 0.0.100
Provides:       perl(Font::TTF::Ttopen)
Provides:       perl(Font::TTF::Utils) = 0.0.100
Provides:       perl(Font::TTF::Vhea)
Provides:       perl(Font::TTF::Vmtx)
Provides:       perl(Font::TTF::Win32)
Provides:       perl(Font::TTF::Woff)
Provides:       perl(Font::TTF::Woff::MetaData)
Provides:       perl(Font::TTF::Woff::PrivateData)
Provides:       perl(Font::TTF::XMLparse)
%undefine       __perllib_provides
%{perl_requires}

%description
This module allows you to do almost anything to a TrueType/OpenType Font
including modify and inspect nearly all tables.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTORS README.TXT TODO
%license LICENSE

%changelog
* Tue May 20 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sun Aug 28 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Sat Aug 27 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Fri Aug 26 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Font-TTF/Changes
  1.05 (r1069, 2015-01-26)
  * Add support for GSUB Type 8 Reverse-chaining substitution
  * OpenType script/lang/feature tags now based on ISO/IEC 14496-22
  * Remove deprecated GDL_old.pm
  * 
  * Bug fixes:
  * Fix rt.cpan.org 92150, 93597
  * Force 0xFFFF sentry to be in a segment by itself in format 4 cmap subtables
  * Less aggressive cmap format 4 optimization to eliminate USV holes
  * Fix various issues reading WOFF-compressed font tables
  * Fix reading DSIG
* Mon Feb 24 2014 coolo@suse.com
- fix for bnc#766390
  * License Issues
- updated to 1.04
  * Bug fixes:
  * Fix rt.cpan.org 80671, 80672; simplify fix for #42553 per OP
  * Shared tables in TTC weren't working
  * Quiet a cleanup warning in TTC processing
  * Update licensing info for test fonts to OFL
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.03
  * Add $t->minsize() to all tables for assisting with font subsetting
  * Add deduping to Name table writing
  * Add OS/2 table method to guess at Unicode and Codepage range bits.
  * Add support for cmap format 13 subtables
  * Expunge notion of 'dflt' language tag from Ttopen.pm
  * Bug fixes
* Wed Jun  5 2013 cfarrell@suse.com
- license update: Artistic-2.0 and OFL-1.1
  Test fonts are OFL-1.1 licensed
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.02
  * Add IO::String prerequisite to make BSD and other testing environments happy
  * Major change to glyph creation/editing -- now utilizes ' isDirty' flag
  * Add support for:
  * V4 OS/2 table
  * Reading WOFF fonts
  * MarkFilterSets in GDEF
  * Feature parameters (for cvxx, ssxx and size features)
  * Additional Graphite tables (Silf, Glac, and Gloc)
  * Updated MS Lang IDs to Dec 2011
  * Finish implementation of coverage table sorting
  * Copyright and licensing updated to CPAN requirements
  * Bug fixes
  * Ensure coverage tables are properly sorted
  * Additional OT tags (from OpenType 1.6)
  * Bug fixes
  * Add support for Graphite Sill table
  * Handle kerning tables version > 0
  * Bug fixes
  * Bug fixes
  * Change Copyright to Artistic License 2.0
* Thu Jun  7 2012 chris@computersalat.de
- fix license
  * Artistic-2.0
- fix deps
* Mon Sep  5 2011 coolo@suse.com
- updated to 0.48
* Thu Mar 31 2011 coolo@novell.com
- initial package 0.48
  * created by cpanspec 1.78.03
